#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cifs-utils
Version		:	6.11
Release		:	14.8.0.0%{?dist}
Summary		:	Utilities for mounting and managing CIFS mounts

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	http://linux-cifs.samba.org/cifs-utils/

Source0		:	%{name}-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-destdir.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	keyutils-libs-devel
BuildRequires	:	krb5-devel
BuildRequires	:	libcap-devel
BuildRequires	:	python3-docutils
BuildRequires	:	samba-devel
BuildRequires	:	talloc-devel
#-----------------------------------------------------------------------------
%description
The SMB/CIFS protocol is a standard file sharing protocol
widely deployed on Microsoft Windows machines. This package
contains tools for mounting shares on Linux using the SMB/CIFS
protocol. The tools in this package work in conjunction with
support in the kernel to allow one to mount a SMB/CIFS share
onto a client and use it as if it were a standard Linux file system.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/getcifsacl
%{_bindir}/setcifsacl
%{_bindir}/cifscreds
%{_bindir}/smbinfo
%{_bindir}/smb2-quota
%{_sbindir}/mount.cifs
%{_sbindir}/mount.smb3
%{_sbindir}/cifs.upcall
%{_sbindir}/cifs.idmap
%{_libdir}/%{name}/idmapwb.so
%{_mandir}/man1/getcifsacl.1.gz
%{_mandir}/man1/setcifsacl.1.gz
%{_mandir}/man1/cifscreds.1.gz
%{_mandir}/man1/smbinfo.1.gz
%{_mandir}/man1/smb2-quota.1.gz
%{_mandir}/man8/cifs.upcall.8.gz
%{_mandir}/man8/cifs.idmap.8.gz
%{_mandir}/man8/mount.cifs.8.gz
%{_mandir}/man8/mount.smb3.8.gz
%{_mandir}/man8/idmapwb.8.gz

#=============================================================================
%package		devel
Summary		:	Files needed for building plugins for cifs-utils

#-----------------------------------------------------------------------------
%description		devel
The SMB/CIFS protocol is a standard file sharing protocol
widely deployed on Microsoft Windows machines. This package
contains the header file necessary for building ID mapping
plugins for cifs-utils.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/cifsidmap.h

#=============================================================================
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

grep -F -r -l '/usr/bin/env python' |			\
  xargs -n1 sed -i 's@/usr/bin/env python.*@%python3@g'

autoreconf -f -i
ROOTSBINDIR=%{_sbindir}					\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-pam					\
	--disable-systemd				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/%{name}		\
	%{buildroot}%{_sysconfdir}/request-key.d

install -m 644						\
	contrib/request-key.d/cifs.idmap.conf		\
	%{buildroot}%{_sysconfdir}/request-key.d

install -m 644						\
	contrib/request-key.d/cifs.spnego.conf		\
	%{buildroot}%{_sysconfdir}/request-key.d

#-----------------------------------------------------------------------------
%changelog
